{
  "env": {
    "browser": true,
    "es6": true
  },
  "extends": [
    "openlayers",
    "plugin:@typescript-eslint/eslint-recommended",
    "plugin:@typescript-eslint/recommended"
  ],
  "plugins": ["@typescript-eslint"],
  "globals": {
    "angular": "readonly"
  },
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion":  2018
  },
  "rules": {
    "import/extensions": [
      "error",
      "ignorePackages",
      {"js": "never", "ts": "never"}
    ],
    "@typescript-eslint/no-empty-function": ["error", {"allow": ["constructors"]}]
  },
  "overrides": [
    {
      "files": [
        "**/*.spec.js"
      ],
      "env": {
        "jasmine": true
      }
    },
    {
      "files": [
        "**/webpack.*.js"
      ],
      "rules": {
        "@typescript-eslint/no-var-requires": "off"
      }
    }
  ],
  "settings": {
    "import/resolver": {
      "node": {
        "extensions": [".js", ".ts"]
      }
    }
  }
}
